from Testing import ZopeTestCase
from metatesting import MetaTestCaseMixin

# XXX Since I am always using this from Plone, I don't
# quite understand how to set up a test from simple zope.
# Who creates my instance root, for example?

ZopeTestCase.installProduct('PythonScripts')    # ???

class MTestBasic(MetaTestCaseMixin, ZopeTestCase.ZopeTestCase):
    
    def afterSetUp(self):
        # add a script to the root so we can see something
        addPy = self.app.manage_addProduct['PythonScripts'].manage_addPythonScript
        addPy('index_html')
        self.app.index_html.write('return "<html><body>A simple test string</body></html>"')

    def test_simple_open(self):
        """generation: Simple open"""

        from Products.mechagen.runtime import ExtendedBrowser
        b = ExtendedBrowser()
        
        page = b.open(self.app.absolute_url())

        # not really necessary...
        b.close()

# start the server
# XXX should we not do this by default???
ZopeTestCase.utils.setupSiteErrorLog()
ZopeTestCase.utils.startZServer()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(MTestBasic))
    return suite
